curl --request GET \
--url https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"establishmentName": "<string>",
"establishmentId": "<string>",
"ein": "<string>",
"companyName": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"naicsCode": "<string>",
"naicsYear": 123,
"industryDescription": "<string>",
"establishmentType": 123,
"size": 123,
"annualAverageEmployees": 123,
"totalHoursWorked": 123,
"noInjuriesIllnesses": 123,
"totalDeaths": 123,
"totalDafwCases": 123,
"totalDjtrCases": 123,
"totalOtherCases": 123,
"totalDafwDays": 123,
"totalDjtrDays": 123,
"totalInjuries": 123,
"totalSkinDisorders": 123,
"totalRespiratoryConditions": 123,
"totalPoisonings": 123,
"totalHearingLoss": 123,
"totalOtherIllnesses": 123,
"createdTimestamp": "<string>",
"changeReason": "<string>",
"yearFilingFor": 123,
"employerId": "<string>",
"siteId": "<string>",
"sourceFile": {
"url": "<string>",
"sha256": "<string>",
"retrievedAt": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}Get an OSHA Form 300A summary
OSHA Injury Tracking Application (ITA) Form 300A summaries: one establishment’s yearly injury and illness totals, hours worked and headcount. OSHA’s rows as published, under OSHA’s own column names in camelCase. Each row also carries the employerId and siteId Effective matched it to (null if unmatched) and the OSHA file it came from. Needs the OSHA dataset enabled for your organization. Read-only; private, no-store.
curl --request GET \
--url https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.effectiveai.app/api/v2/insurance/osha/300a-summaries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"establishmentName": "<string>",
"establishmentId": "<string>",
"ein": "<string>",
"companyName": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"naicsCode": "<string>",
"naicsYear": 123,
"industryDescription": "<string>",
"establishmentType": 123,
"size": 123,
"annualAverageEmployees": 123,
"totalHoursWorked": 123,
"noInjuriesIllnesses": 123,
"totalDeaths": 123,
"totalDafwCases": 123,
"totalDjtrCases": 123,
"totalOtherCases": 123,
"totalDafwDays": 123,
"totalDjtrDays": 123,
"totalInjuries": 123,
"totalSkinDisorders": 123,
"totalRespiratoryConditions": 123,
"totalPoisonings": 123,
"totalHearingLoss": 123,
"totalOtherIllnesses": 123,
"createdTimestamp": "<string>",
"changeReason": "<string>",
"yearFilingFor": 123,
"employerId": "<string>",
"siteId": "<string>",
"sourceFile": {
"url": "<string>",
"sha256": "<string>",
"retrievedAt": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic",
"accessUrl": "<string>"
}Authorizations
Effective API key. Send Authorization: Bearer sk-eai-...
Path Parameters
OSHA’s ID for the row.
^[A-Za-z0-9_-]{1,40}$Response
One Form 300A summary.
One establishment’s ITA Form 300A summary for one year. Fields are OSHA’s own column names in camelCase, with values as OSHA publishes them.
OSHA’s summary ID.
Employer Effective matched this row to, or null if it could not place it.
^emp_[0-9a-f]{20}$Site Effective matched this row to, or null.
^site_[0-9a-f]{20}$Show child attributes
Show child attributes